cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","trigger":{"name":"string","description":"string","config":null,"type":"recordCreated"}}'{
"id": "<string>",
"baseId": "<string>",
"edges": [
{
"source": "<string>",
"target": "<string>"
}
],
"nodes": [
{}
],
"createdBy": "<string>",
"createdTime": "<string>",
"name": "<string>",
"description": "<string>",
"hasDraft": true,
"isActive": true,
"lastModifiedTime": "<string>",
"lastModifiedBy": "<string>",
"activeUser": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"avatar": "<string>"
}
}automation
Post base workflow
Create a automation workflow
POST
/
base
/
{baseId}
/
workflow
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","trigger":{"name":"string","description":"string","config":null,"type":"recordCreated"}}'{
"id": "<string>",
"baseId": "<string>",
"edges": [
{
"source": "<string>",
"target": "<string>"
}
],
"nodes": [
{}
],
"createdBy": "<string>",
"createdTime": "<string>",
"name": "<string>",
"description": "<string>",
"hasDraft": true,
"isActive": true,
"lastModifiedTime": "<string>",
"lastModifiedBy": "<string>",
"activeUser": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"avatar": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
201 - application/json
Successful created
a unique identifier for the workflow
the base id of the workflow
edges of the nodes
Show child attributes
Show child attributes
nodes list include trigger and actions
created by user id
created time of the workflow
the name of the workflow
description of the workflow
has draft of the workflow
is active of the workflow
last modified time of the workflow
last modified by user id
active user of the workflow
Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

